<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/extracao/move_extraidos.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/extracao/move_extraidos.php
  ========================================================== */

  include("../bibliotecas/arquivos.inc");
  include("../bibliotecas/acesso_sql.inc");
  include("../material/material.inc");
  
  $sock = Conectar("");
  $query = "select diretorio from Diretorio where item='Arquivos'";
  $res = Enviar($sock, $query);
  $linha = RetornaLinha($res);
  $dir = $linha['diretorio'];
  
  $query = "select cod_usuario from Extracoes_agendadas where cod_curso=$cod_curso and extraido=0 order by data limit 1";
  $res = Enviar($sock, $query);
  $linha = RetornaLinha($res);
  $cod_usuario = $linha['cod_usuario'];
  
  // Diretorio onde ficara o arquivo do curso extraido  
  $diretorio = $dir."/$cod_curso/extracao/$cod_usuario";

  // Caso exista alguma extracao antiga desse mesmo curso, primeiro devemos deleta-la para que possamos colocar a mais recente
  shell_exec("rm $diretorio/teleduc_extracao-$cod_curso-$cod_usuario.zip -rf");
  
  /* Estamos pegando do arquivo extrator.properties informacoes de onde o curso foi extraido e de onde o teleduc esta instalado */
  $resultado = file("extrator.properties");
  $i = 0;

  foreach($resultado as $linha => $l) {
    $i++;
    $propriedade = explode("=", trim($l));
    if ($i == 7)
      $dir_extracao = $propriedade[1];
    if ($i == 8)
      $dir_teleduc = $propriedade[1];
  }
  
  // Estamos chamando o script para zipar o curso extraido
  shell_exec("$dir_teleduc/cursos/aplic/extracao/zip.sh $dir_teleduc $dir_extracao $cod_curso $cod_usuario");
  
  // E criamos o diretorio de destino caso este nao exista
  if (!MudarParaDiretorio($diretorio))
    CriaDiretorio($diretorio);

  // Copiamos o curso zipado para essa pasta
  CopiaArquivo("/tmp/teleduc_extracao-$cod_curso-$cod_usuario.zip", $diretorio);
  
  // E deletamos o diretorio inicial para onde o curso foi extraido
  RemoveDiretorio("$dir_extracao");
  
  exit;
?>
