/*
 * Created on Feb 22, 2005
 *
 */
package br.unicamp.nied.teleduc.extrator.ferramentas.acessos;

import java.util.Date;

import br.unicamp.nied.teleduc.extrator.usuario.Usuario;

/**
 * @author leonel
 * 
 * Esta classe representa um acesso do usurio ao ambiente, a exibir na
 * ferramenta Acessos.
 */
public class Acesso {
    private Usuario usuario;

    private Date data;

    private byte ferramenta;

    /**
     * 
     */
    public Acesso() {
        super();
    }

    public Acesso(Usuario usuario, Date data, byte ferramenta) {
        this();
        this.usuario = usuario;
        this.data = data;
        this.ferramenta = ferramenta;
    }

    /**
     * @return Returns the data.
     */
    public Date getData() {
        return data;
    }

    /**
     * @param data
     *            The data to set.
     */
    public void setData(Date data) {
        this.data = data;
    }

    /**
     * @return Returns the ferramenta.
     */
    public byte getFerramenta() {
        return ferramenta;
    }

    /**
     * @param ferramenta
     *            The ferramenta to set.
     */
    public void setFerramenta(byte ferramenta) {
        this.ferramenta = ferramenta;
    }

    /**
     * @return Returns the usuario.
     */
    public Usuario getUsuario() {
        return usuario;
    }

    /**
     * @param usuario
     *            The usuario to set.
     */
    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }
}
